summaryrefslogtreecommitdiff
path: root/scripts/osx/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/osx/run.sh')
-rwxr-xr-xscripts/osx/run.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/scripts/osx/run.sh b/scripts/osx/run.sh
new file mode 100755
index 0000000000..b84ed04c21
--- /dev/null
+++ b/scripts/osx/run.sh
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+
+set -e
+set -o pipefail
+
+BUILDTYPE=${BUILDTYPE:-Release}
+
+source ./scripts/travis_helper.sh
+
+# Add Mason to PATH
+export PATH="`pwd`/.mason:${PATH}" MASON_DIR="`pwd`/.mason"
+
+# Set the core file limit to unlimited so a core file is generated upon crash
+ulimit -c unlimited -S
+
+################################################################################
+# Build
+################################################################################
+
+mapbox_time "checkout_styles" \
+git submodule update --init styles
+
+mapbox_time "compile_program" \
+make xosx -j${JOBS} BUILDTYPE=${BUILDTYPE}
+
+mapbox_time "compile_tests" \
+make xtest -j${JOBS} BUILDTYPE=${BUILDTYPE}